#
# spec file for package rekall (Version 2.2.6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs e2fsprogs-devel expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd krb5 krb5-devel less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools mysql-client mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils python python-devel qt3 qt3-devel rcs readline rpm sed sgml-skel sqlite strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xbase xbsql xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           rekall
BuildRequires:  kdelibs3-devel krb5-devel mysql-devel postgresql-devel python-devel xbsql
URL:            http://www.rekallrevealed.org/
License:        GNU General Public License (GPL)
Group:          Productivity/Databases/Clients
Summary:        Universal Database Application
Version:        2.2.6
Release:        48
%define rversion %version
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Requires:       %name-database-backend = %version
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{rversion}.tar.bz2
Source1:        de.po
Source2:        cs.po
Source3:        mushroomDAT.tar.bz2
Source4:        mushroomDAT_en.tar.bz2
Patch0:         %name.diff
Patch1:         i18n.diff
Patch2:         rekall-python25.diff
Patch3:         rekall-2.2.6-gcc4.diff
Patch4:         autotools.diff
Patch5:         fix-desktop-file-location.diff
Patch6:         python-no-ioerror.diff

%description
Rekall is a programmable personal database management system (DBMS). It
supports form and report generation.



Authors:
--------
    Mike Richardson <mike@quaking.demon.co.uk>

%debug_package
%package mysql
Provides:       %name-database-backend = %version
Group:          Productivity/Databases/Clients
Summary:        Rekall MySQL Database Backend

%description mysql
For using Rekall with a MySQL database server.



Authors:
--------
    Mike Richardson <mike@quaking.demon.co.uk>

%package unisql
Provides:       %name-database-backend = %version
Group:          Productivity/Databases/Clients
Summary:        Rekall UniSQL Database Backend

%description unisql
For using Rekall with an UniSQL database server.



Authors:
--------
    Mike Richardson <mike@quaking.demon.co.uk>

%package postgresql
Provides:       %name-database-backend = %version
Group:          Productivity/Databases/Clients
Summary:        Rekall PostgreSQL Database Backend

%description postgresql
For using Rekall with a PostgreSQL database server.



Authors:
--------
    Mike Richardson <mike@quaking.demon.co.uk>

%package examples
Provides:       %name-database-backend = %version
Group:          Productivity/Databases/Clients
Summary:        Universal Database Application

%description examples
Rekall is a programmable personal database management system (DBMS).
This package contains an example database.



Authors:
--------
    Mike Richardson <mike@quaking.demon.co.uk>

%if %suse_version > 900
%package xbase
Provides:       %name-database-backend = %version
Group:          Productivity/Databases/Clients
Summary:        Rekall XBase Database Backend

%description xbase
XBase database back-end for Rekall.

You do not need a running database server when using this plug-in.



Authors:
--------
    Mike Richardson <mike@quaking.demon.co.uk>

%endif
%prep
%setup -q -n %name-%rversion
cp %SOURCE1 %SOURCE2 po/
%patch
%patch1
%patch2
%patch3 -p1
%patch4
%patch5
%patch6
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
export CPPFLAGS="$CPPFLAGS -fno-strict-aliasing"
./configure $configkde \
            --disable-final \
            --with-mysql-libraries=%_libdir/mysql \
            --with-pgsql-libraries=%_libdir \
            --with-xbsql-libraries=%_libdir
do_make %{?jobs:-j%jobs} 

%install
rm -rf $RPM_BUILD_ROOT
. /etc/opt/kde3/common_options
make DESTDIR=${RPM_BUILD_ROOT} $INSTALL_TARGET
%if %suse_version < 1010
%suse_update_desktop_file %name Office Database
%else
%suse_update_desktop_file -G "Universal Database" %name Office Database
%endif
%find_lang %name
for i in 16 22 32 48; do
  install -d ${RPM_BUILD_ROOT}/opt/kde3/share/icons/crystalsvg/${i}x${i}/apps/
  install -m 0644 pics/icons/hicolor/${i}x${i}/apps/rekall.png \
     ${RPM_BUILD_ROOT}/opt/kde3/share/icons/crystalsvg/${i}x${i}/apps/
done
rm $RPM_BUILD_ROOT/opt/kde3/share/doc/HTML/en/rekall/common
mkdir $RPM_BUILD_ROOT/opt/kde3/share/apps/rekall/examples
cd $RPM_BUILD_ROOT/opt/kde3/share/apps/rekall/examples
tar xvfj %SOURCE3
tar xvfj %SOURCE4

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%post mysql
%run_ldconfig

%postun mysql
%run_ldconfig

%post unisql
%run_ldconfig

%postun unisql
%run_ldconfig

%post postgresql
%run_ldconfig

%postun postgresql
%run_ldconfig
%if %suse_version > 900

%post xbase
%run_ldconfig

%postun xbase
%run_ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS LICENSE
%dir /opt/kde3/share/apps/rekall
%dir /opt/kde3/share/apps/rekall/services
%doc /opt/kde3/share/doc/HTML/en/rekallrt
/opt/kde3/bin/*
/opt/kde3/include/rekall
/opt/kde3/%_lib/libel_*
/opt/kde3/%_lib/libkbase.*
/opt/kde3/%_lib/libkbase_a*
/opt/kde3/%_lib/libkbase_c*
/opt/kde3/%_lib/libkbase_e*
/opt/kde3/%_lib/libkbase_f*
/opt/kde3/%_lib/libkbase_k*
/opt/kde3/%_lib/libkbase_m*
/opt/kde3/%_lib/libkbase_p*
/opt/kde3/%_lib/libkbase_q*
/opt/kde3/%_lib/libkbase_r*
/opt/kde3/%_lib/libkbase_s*
/opt/kde3/%_lib/libkbase_t*
/opt/kde3/%_lib/libkbase_wizard.*
/opt/kde3/%_lib/librekall.*
/opt/kde3/share/*/*/rekall.desktop
/opt/kde3/share/apps/rekall/stock
/opt/kde3/share/apps/rekall/script
/opt/kde3/share/apps/rekall/rekall*
/opt/kde3/share/apps/rekall/icons
/opt/kde3/share/apps/rekall/help
/opt/kde3/share/apps/rekall/highlight
/opt/kde3/share/apps/rekall/keymap
/opt/kde3/share/apps/rekall/pics
/opt/kde3/share/apps/rekall/wizards
/opt/kde3/share/apps/rekall/LICENSE
/opt/kde3/share/apps/rekall/dict
/opt/kde3/share/apps/rekall/services/kdeparts.lst
/opt/kde3/share/apps/rekall/services/rekall_component.desktop
/opt/kde3/share/apps/rekall/services/rekall_copier.desktop
/opt/kde3/share/apps/rekall/services/rekall_dummy.desktop
/opt/kde3/share/apps/rekall/services/rekall_editor.desktop
/opt/kde3/share/apps/rekall/services/rekall_form.desktop
/opt/kde3/share/apps/rekall/services/rekall_macro.desktop
/opt/kde3/share/apps/rekall/services/rekall_plugin_extra.desktop
/opt/kde3/share/apps/rekall/services/rekall_plugin_kde.desktop
/opt/kde3/share/apps/rekall/services/rekall_query.desktop
/opt/kde3/share/apps/rekall/services/rekall_report.desktop
/opt/kde3/share/apps/rekall/services/rekall_script_py.desktop
/opt/kde3/share/apps/rekall/services/rekall_table.desktop
/opt/kde3/share/apps/rekallrt
/opt/kde3/share/icons/crystalsvg/*/apps

%files mysql
%defattr(-,root,root)
/opt/kde3/%_lib/libkbase_driver_mysql.*
/opt/kde3/share/apps/rekall/services/rekall_driver_mysql.desktop

%files unisql
%defattr(-,root,root)
/opt/kde3/%_lib/libkbase_driver_unisql.*
/opt/kde3/share/apps/rekall/services/rekall_driver_unisql.desktop

%files postgresql
%defattr(-,root,root)
/opt/kde3/%_lib/libkbase_driver_pgsql.*
/opt/kde3/share/apps/rekall/services/rekall_driver_pgsql.desktop
%if %suse_version > 900

%files xbase
%defattr(-,root,root)
/opt/kde3/%_lib/libkbase_driver_xbase.*
/opt/kde3/share/apps/rekall/services/rekall_driver_xbase.desktop
%endif

%files examples
%defattr(-,root,root)
/opt/kde3/share/apps/rekall/examples

%changelog
* Wed Mar 07 2007 - dmueller@suse.de
- avoid crash during python initialisation (#230289)
* Tue Oct 03 2006 - dmueller@suse.de
- build against python 2.5
* Wed May 24 2006 - adrian@suse.de
- fix build for < 10.1
* Mon May 22 2006 - dmueller@suse.de
- avoid crashes due to strict aliasing errors (#175613)
* Wed Feb 15 2006 - stbinner@suse.de
- add GenericName to .desktop file
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - stbinner@suse.de
- added examples subpackage with example database (#135801)
* Tue Dec 20 2005 - dmueller@suse.de
- fix file list
* Tue Oct 25 2005 - stbinner@suse.de
- update to version 2.2.6
* Tue Oct 25 2005 - dmueller@suse.de
- fix makefiles
* Fri May 13 2005 - yxu@suse.de
- fixed for GCC4
* Thu Nov 25 2004 - ro@suse.de
- fix build with python-2.4
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Mon Nov 08 2004 - coolo@suse.de
- applying patch by Waldo to avoid crashes (#42667)
* Tue Sep 07 2004 - adrian@suse.de
- update to version 2.2.1
* Thu Jul 15 2004 - adrian@suse.de
- update to version 2.2.0 final
* Sun May 02 2004 - adrian@suse.de
- fix update problem, a directory became a symlink
  (reported by Guenther Niederwimmer)
* Wed Apr 28 2004 - adrian@suse.de
- update to version 2.2.0 beta 4
* Wed Apr 28 2004 - coolo@suse.de
- no unsermake here
* Tue Apr 27 2004 - coolo@suse.de
- no strict aliasing
* Mon Apr 05 2004 - adrian@suse.de
- add czech translations
* Thu Mar 18 2004 - adrian@suse.de
- fix translation usage
- add some more translations
- fix icon installation
* Sat Feb 21 2004 - adrian@suse.de
- add first translations from Antje
* Wed Jan 28 2004 - adrian@suse.de
- add patch with english string fixes
* Thu Jan 22 2004 - adrian@suse.de
- update to version 2.2.0 beta1
- generate rekall.pot file to prepare translations
* Wed Nov 19 2003 - adrian@suse.de
- initial package of version 2.2.0 beta0
